Debian Bug report logs - #697901
c2html and scheme9: error when trying to install together

version graph

Packages: c2html, scheme9; Maintainer for c2html is Miguel Gea Milvaques <xerakko@debian.org>; Maintainer for scheme9 is Barak A. Pearlmutter <bap@debian.org>; Source for scheme9 is src:scheme9.

Reported by: Ralf Treinen <treinen@free.fr>

Date: Fri, 11 Jan 2013 02:51:02 UTC

Severity: serious

Found in versions c2html/0.9.6-3, scheme9/2013.01.09-1, scheme9/2012.12.17-1

Fixed in version scheme9/2013.01.09-2

Done: bap@debian.org (Barak A. Pearlmutter)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Barak A. Pearlmutter <bap@debian.org>, Gildardo Adrian Maravilla Jacome <fulapol@gmail.com>:
Bug#697901; Package scheme9,c2html. (Fri, 11 Jan 2013 02:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Barak A. Pearlmutter <bap@debian.org>, Gildardo Adrian Maravilla Jacome <fulapol@gmail.com>.

Your message had a Version: pseudo-header with an invalid package version:

c2html/0.9.6-3

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 11 Jan 2013 02:51:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: c2html and scheme9: error when trying to install together
Date: Fri, 11 Jan 2013 03:48:00 +0100
Package: scheme9,c2html
Version: scheme9/2012.12.17-1
Version: c2html/0.9.6-3
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2013-01-10
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  c2html scheme9
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package c2html.
(Reading database ... 10762 files and directories currently installed.)
Unpacking c2html (from .../c2html_0.9.6-3_amd64.deb) ...
Selecting previously unselected package scheme9.
Unpacking scheme9 (from .../scheme9_2012.12.17-1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/scheme9_2012.12.17-1_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/c2html', which is also in package c2html 0.9.6-3
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/scheme9_2012.12.17-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/bin/c2html

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.



Marked as found in versions scheme9/2012.12.17-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 15 Jan 2013 02:00:07 GMT) Full text and rfc822 format available.

Marked as found in versions c2html/0.9.6-3. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Tue, 15 Jan 2013 02:00:07 GMT) Full text and rfc822 format available.

Marked as found in versions scheme9/2013.01.09-1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Tue, 15 Jan 2013 07:18:03 GMT) Full text and rfc822 format available.

Reply sent to bap@debian.org (Barak A. Pearlmutter):
You have taken responsibility. (Tue, 15 Jan 2013 09:21:05 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Tue, 15 Jan 2013 09:21:05 GMT) Full text and rfc822 format available.

Message #16 received at 697901-close@bugs.debian.org (full text, mbox):

From: bap@debian.org (Barak A. Pearlmutter)
To: 697901-close@bugs.debian.org
Subject: Bug#697901: fixed in scheme9 2013.01.09-2
Date: Tue, 15 Jan 2013 09:17:41 +0000
Source: scheme9
Source-Version: 2013.01.09-2

We believe that the bug you reported is fixed in the latest version of
scheme9, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697901@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Barak A. Pearlmutter <bap@debian.org> (supplier of updated scheme9 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Jan 2013 09:06:11 +0000
Source: scheme9
Binary: scheme9
Architecture: source amd64
Version: 2013.01.09-2
Distribution: unstable
Urgency: low
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Changed-By: Barak A. Pearlmutter <bap@debian.org>
Description: 
 scheme9    - Scheme 9 from Empty Space R4RS Scheme interpreter
Closes: 697901
Changes: 
 scheme9 (2013.01.09-2) unstable; urgency=low
 .
   * Add s9 prefix to names of generically named binaries:
     - /usr/bin/advgen	to /usr/bin/s9advgen
     - /usr/bin/c2html	to /usr/bin/s9c2html (closes: #697901)
     - /usr/bin/cols	to /usr/bin/s9cols
     - /usr/bin/dupes	to /usr/bin/s9dupes
     - /usr/bin/edoc	to /usr/bin/s9edoc
     - /usr/bin/htmlify	to /usr/bin/s9htmlify
     - /usr/bin/scm2html	to /usr/bin/s9scm2html
     - /usr/bin/scmpp	to /usr/bin/s9scmpp
     - /usr/bin/soccat	to /usr/bin/s9soccat
Checksums-Sha1: 
 9d4a3a318177716902672e36cf9b209b69e1ee2b 1257 scheme9_2013.01.09-2.dsc
 f3577b48d9d8e432e9c5c9aaffc1337a960e9452 13329 scheme9_2013.01.09-2.debian.tar.gz
 7a393d82e4bb52ef3438ccf00bc836197dd551e1 1595016 scheme9_2013.01.09-2_amd64.deb
Checksums-Sha256: 
 f3e92812831fddfc581f2940bceed75f137b08fb8081222e56fdd96672fc99e0 1257 scheme9_2013.01.09-2.dsc
 8bfab266d162adc77cb78c133133c11dd93dd38008078a2d71fedc50c6d0a570 13329 scheme9_2013.01.09-2.debian.tar.gz
 67b1b0711599f7ee394f07f7aa3081af20df5f7b918b33183730a1fd0441a32f 1595016 scheme9_2013.01.09-2_amd64.deb
Files: 
 e794f7c32c95550d0f39da95955bb379 1257 lisp extra scheme9_2013.01.09-2.dsc
 442ab2a474bb7c59fd4854b01e0ed15c 13329 lisp extra scheme9_2013.01.09-2.debian.tar.gz
 7f2c452ab8a13d2fc07ff51408f002bd 1595016 lisp extra scheme9_2013.01.09-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD1HHQACgkQLz4Gnv7CP7I/VgCgz83gHr5+d8dvzhdo8gMuFqcw
AzcAn3WryGjFAcpllXrPruPzI+PZGkEH
=wgnO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 13 Feb 2013 07:25:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:22:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.